import { Class } from "./types";
interface MetadataRecord {
    targetClass: Class;
    memberName?: string | symbol;
    parIndex?: number;
    data: any;
}
export declare function setMetadata(data: any, targetClass: Class, memberName?: string | symbol, parIndex?: number): void;
export declare function mergeMetadata(childMeta: any[], parentMeta: any[], useInherit?: boolean): any[];
export declare function getMetadata(targetClass: Class, memberName?: string, parIndex?: number): any[];
export declare function getMetadataForApplyTo(targetClass: Class, memberName?: string, parIndex?: number): any[];
export declare function getOwnMetadata(targetClass: Class, memberName?: string, parIndex?: number): any[];
export declare function getAllMetadata(targetClass: Class): MetadataRecord[] | undefined;
export {};
